---
_import: ../../_global.yaml
_overrider:
    weights: &weights
        quantize:
            type: mayo.override.IncrementalQuantizer
            interval: 0.5
            _priority: 80
            count_zero: False
            enable: True
            quantizer:
                type: mayo.override.ShiftScaleQuantizer
                enable: True
                width: 2
                exponent_bias: 20
                overflow_rate: 0.0
                should_update: true
                stochastic: false
    depthwise_weights: {<<: *weights}
    biases: {<<: *weights}
    activation:
        quantize:
            type: mayo.override.FixedPointQuantizer
            enable: True
            width: 4
            point: 2
            should_update: false
            stochastic: false
            _priority: 100
    prep_activation:
        quantize:
            type: mayo.override.FixedPointQuantizer
            enable: True
            width: 8
            point: 3
            should_update: false
            stochastic: false
            _priority: 100
